MAKEREPROPKG(1)

NUME
makerepropkg - reconstruiește un pachet pentru a vedea dacă este reproductibil

SINOPSIS

makerepropkg [OPȚIUNI] [<fișier-pachet|nume-pachet>...]

DESCRIERE

Dată fiind ruta către un pachet(e) pacman construit(e), încearcă să îl reconstruiască folosind PKGBUILD în directorul curent. Pachetul va fi construit într-un mediu cât mai apropiat posibil de mediul pachetului inițial, prin construirea unui chroot care să corespundă informațiilor expuse în manifestul BUILDINFO(5) al pachetului. În caz de succes, pachetul rezultat va fi comparat cu pachetul de intrare, iar makerepropkg va raporta dacă artefactele sunt identice.

Atunci când sunt furnizate mai multe pachete, se presupune că fișierele de pachete suplimentare sunt pachete divizate și vor fi tratate ca artefacte suplimentare care trebuie comparate în timpul etapei de verificare.

În schimb, se poate specifica o țintă (ținte) validă (valide) pentru «pacman -S», iar makerepropkg o va descărca în cache dacă este necesar. Acest lucru este util mai ales pentru a specifica depozitul din care să se recupereze. Dacă nu sunt specificate argumente poziționale, țintele vor fi obținute din PKGBUILD.

În ambele cazuri, numele pachetului va fi convertit într-un nume de fișier din cache, iar makerepropkg va continua ca și cum acest nume de fișier ar fi fost specificat inițial.

Acesta implementează un verificator pentru pachetele pacman/libalpm în conformitate cu proiectul

OPȚIUNI

-d
    Dacă pachetele nu sunt reproductibile, le compară cu ajutorul „diffoscopului”.

-n
    Nu execută funcția check() în PKGBUILD.

-c
    Stabilește directorul cache pacman.

-M <fișier>
    Locația unui fișier de configurare makepkg. Adăugirile specifice (de exemplu, marcajele de compilare pentru limbi suplimentare) pot fi plasate în <fișier>.d/*.conf.

-l <chroot>
    Numele directorului care urmează să fie utilizat ca spațiu de nume chroot. Util pentru menținerea mai multor copii. Implicit: $USER

-h
    Afișează acest mesaj de utilizare

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.